For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign Up
DocumentationAPI ReferenceSDKs
DocumentationAPI ReferenceSDKs
  • Documents
    • Ingest Documents
    • Ingest Directories
    • POSTcrawl_website
    • GETget_processing_status_by_id
    • GETlist
    • GETget
    • GETlookup
    • DELdelete (singular)
    • DELdelete (multiple)
    • GETget_processes
    • POSTcopy
    • PUTupdate
    • DELcancel_process
    • GETget_extract
    • GETget_xray
  • Search
    • POSTsearch.content
    • POSTsearch.documents
  • Buckets
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Groups
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
    • POSTaddBucket
    • DELremoveBucket
  • Workflows
    • GETlist
    • POSTcreate
    • GETget_account
    • POSTadd_to_account
    • DELremove_from_account
    • POSTadd_to_id
    • DELremove_from_id
    • GETget
    • PUTupdate
    • DELdelete
  • Customer
    • GETget
  • API Key
    • GETlist
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Health
    • GETlist
    • GETget
Sign Up
LogoLogo
Groups

list

GET
https://api.groundx.ai/api/v1/group
GET
/api/v1/group
1from groundx import GroundX
2
3client = GroundX(
4 api_key="YOUR_API_KEY_HERE",
5)
6
7client.groups.list()
200Retrieved
1{
2 "groups": [
3 {
4 "groupId": 42,
5 "buckets": [
6 {
7 "bucketId": 101,
8 "created": "2024-05-10T14:22:35.123Z",
9 "fileCount": 25,
10 "fileSize": "12.4GB",
11 "name": "Marketing Assets",
12 "updated": "2024-06-01T09:15:47.456Z"
13 }
14 ],
15 "created": "2024-01-15T10:00:00.000Z",
16 "fileCount": 250,
17 "fileSize": "120.7GB",
18 "name": "Product Launch Team",
19 "prompt": "Collaborate on all product launch materials and timelines.",
20 "updated": "2024-06-01T09:15:47.456Z"
21 }
22 ],
23 "count": 1,
24 "remaining": 10,
25 "total": 30
26}
list all groups within your GroundX account.
Was this page helpful?
Previous

get

Next
Built with

Authentication

X-API-Keystring
API Key authentication via header

Query parameters

nintegerOptional

The maximum number of returned groups. Accepts 1-100 with a default of 20.

nextTokenstringOptional
A token for pagination. If the number of groups for a given query is larger than n, the response will include a "nextToken" value. That token can be included in this field to retrieve the next batch of n groups.

Response

Successful retrieval of groups
groupslist of objects
countinteger
The number of groups returned in the current response
remaininginteger
The number of groups that have not been returned yet, will be null if there are no remaining groups
totalinteger
The total number of groups found